import { useLocation } from "preact-iso";
import { AppBar, Toolbar, Button, Box } from "@mui/material";
import { styled } from "@mui/system";

const StyledToolbar = styled(Toolbar)({
  display: "flex",
  justifyContent: "center",
  backgroundColor: "#E0E7FF", // Indigo-200 equivalent
});

const StyledButton = styled(Button)(({ theme, active }) => ({
  color: theme.palette.text.primary,
  fontWeight: active ? "bold" : "normal",
  textDecoration: active ? "underline" : "none",
}));

export function Header() {
  const { url } = useLocation();

  return (
    <AppBar position="static" elevation={0}>
      <StyledToolbar>
        <Box sx={{ display: "flex", gap: 2 }}>
          <StyledButton
            href="/"
            active={url === "/" || url === "/historical-calendar-prices"}
          >
            Historical Calendar Prices
          </StyledButton>
          <StyledButton
            href="/calendar-optimizer"
            active={url === "/calendar-optimizer"}
          >
            Calendar Optimizer
          </StyledButton>
        </Box>
      </StyledToolbar>
    </AppBar>
  );
}