import type { AggregateDatabase } from "./interfaces.js";

export type CalendarKey = {
	symbol: string;
	type: "call" | "put";
	strike: number;
	frontExpirationDate: string;
	backExpirationDate: string;
};

export type CalendarDatabase = AggregateDatabase<CalendarKey> & {
	getCalendars: AggregateDatabase<CalendarKey>["getKeys"];
	getTargetPriceByProbability: ({
		symbol,
		calendarSpan,
		strikePercentageFromTheMoney,
		historicalProbabilityOfSuccess,
	}: {
		symbol: string;
		calendarSpan: number;
		strikePercentageFromTheMoney: number;
		historicalProbabilityOfSuccess: number;
	}) => Promise<number>;
};
